Patrick Georgi (pgeorgi(a)google.com) just uploaded a new patch set to gerrit, which you can find at https://review.coreboot.org/16717
-gerrit
commit 4b1753c96132f4071f59457f10f10cfb12ec46ec
Author: Liangfeng Wu <wulf(a)rock-chips.com>
Date: Thu Sep 15 17:16:54 2016 +0800
rockchip/rk3399: Configure USB3 controller to work in USB2 only mode
In USB2 only mode, the Type-C PHY will be held in reset and
only the USB2 logic of the USB3 OTG controller and PHY will be
used over the USB2 pins on the Type-C connector to support Low,
Full and High-speed USB operation.
BRANCH=none
BUG=chrome-os-partner:56425
TEST=Go to recovery mode, plug a Type-C USB drive containing
chrome OS image into both ports in all orientations, check if
system can boot from USB.
Change-Id: Ic265c0c91c24f63b2f9c3106eb2bb277a589233b
Signed-off-by: Patrick Georgi <pgeorgi(a)chromium.org>
Original-Commit-Id: a37ccc5b6019967483eac6b5a360d67bc3326e93
Original-Change-Id: I582f04f84eef447ff0ba691ce60e9461ed31cfad
Original-Signed-off-by: Liangfeng Wu <wulf(a)rock-chips.com>
Original-Reviewed-on: https://chromium-review.googlesource.com/385837
Original-Commit-Ready: Julius Werner <jwerner(a)chromium.org>
Original-Tested-by: Julius Werner <jwerner(a)chromium.org>
Original-Reviewed-by: Julius Werner <jwerner(a)chromium.org>
---
src/soc/rockchip/rk3399/usb.c | 15 +++++++++++++++
1 file changed, 15 insertions(+)
diff --git a/src/soc/rockchip/rk3399/usb.c b/src/soc/rockchip/rk3399/usb.c
index f638a1e..4c731bd 100644
--- a/src/soc/rockchip/rk3399/usb.c
+++ b/src/soc/rockchip/rk3399/usb.c
@@ -17,6 +17,9 @@
#include <assert.h>
#include <console/console.h>
#include <delay.h>
+#include <soc/clock.h>
+#include <soc/grf.h>
+#include <soc/soc.h>
#include <soc/usb.h>
/* SuperSpeed over Type-C is hard. We don't care about speed in firmware: just
@@ -86,12 +89,24 @@ static void setup_dwc3(struct rockchip_usb_dwc3 *dwc3)
void reset_usb_otg0(void)
{
+ /* Keep whole USB OTG0 controller in reset, then
+ * configure controller to work in USB 2.0 only mode. */
+ write32(&cru_ptr->softrst_con[18], RK_SETBITS(1 << 5));
+ write32(&rk3399_grf->usb3otg0_con1, RK_CLRSETBITS(0xf << 12, 1 << 0));
+ write32(&cru_ptr->softrst_con[18], RK_CLRBITS(1 << 5));
+
printk(BIOS_DEBUG, "Starting DWC3 reset for USB OTG0\n");
reset_dwc3(rockchip_usb_otg0_dwc3);
}
void reset_usb_otg1(void)
{
+ /* Keep whole USB OTG1 controller in reset, then
+ * configure controller to work in USB 2.0 only mode. */
+ write32(&cru_ptr->softrst_con[18], RK_SETBITS(1 << 6));
+ write32(&rk3399_grf->usb3otg1_con1, RK_CLRSETBITS(0xf << 12, 1 << 0));
+ write32(&cru_ptr->softrst_con[18], RK_CLRBITS(1 << 6));
+
printk(BIOS_DEBUG, "Starting DWC3 reset for USB OTG1\n");
reset_dwc3(rockchip_usb_otg1_dwc3);
}
Antonello Dettori (dev(a)dettori.io) just uploaded a new patch set to gerrit, which you can find at https://review.coreboot.org/16905
-gerrit
commit 4c0166d3d8ae7364c258a8669850c4243dd74a86
Author: Antonello Dettori <dev(a)dettori.io>
Date: Sat Oct 1 12:23:26 2016 +0200
mainboard/ti/beaglebone: set DRIVERS_INTEL_WIFI to "n"
Set DRIVERS_INTEL_WIFI to "n" since it is not needed and causes the
build process to fail.
Change-Id: I2ae013b85990e6bca8578ce297e8784811bf5848
Signed-off-by: Antonello Dettori <dev(a)dettori.io>
---
src/mainboard/ti/beaglebone/Kconfig | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/src/mainboard/ti/beaglebone/Kconfig b/src/mainboard/ti/beaglebone/Kconfig
index a85c242..1ae9c8d 100644
--- a/src/mainboard/ti/beaglebone/Kconfig
+++ b/src/mainboard/ti/beaglebone/Kconfig
@@ -44,4 +44,8 @@ config UART_FOR_CONSOLE
int
default 0
+config DRIVERS_INTEL_WIFI
+ bool
+ default n
+
endif # BOARD_TI_BEAGLEBONE
Antonello Dettori (dev(a)dettori.io) just uploaded a new patch set to gerrit, which you can find at https://review.coreboot.org/16904
-gerrit
commit 7f8ef74476541950598e333d0cf44aca1c7f0155
Author: Antonello Dettori <dev(a)dettori.io>
Date: Sat Oct 1 12:23:26 2016 +0200
mainboard/cubitech/cubieboard: set DRIVERS_INTEL_WIFI to "n"
Set DRIVERS_INTEL_WIFI to "n" since it is not needed and causes the
build process to fail.
Change-Id: Ic62e5ca760f6642d3d7e603f3911b7d2a55ce3a9
Signed-off-by: Antonello Dettori <dev(a)dettori.io>
---
src/mainboard/cubietech/cubieboard/Kconfig | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/src/mainboard/cubietech/cubieboard/Kconfig b/src/mainboard/cubietech/cubieboard/Kconfig
index 5aefc22..d3b1802 100644
--- a/src/mainboard/cubietech/cubieboard/Kconfig
+++ b/src/mainboard/cubietech/cubieboard/Kconfig
@@ -26,4 +26,8 @@ config UART_FOR_CONSOLE
int
default 0
+config DRIVERS_INTEL_WIFI
+ bool
+ default n
+
endif # BOARD_CUBIETECH_CUBIEBOARD
Martin Roth (martinroth(a)google.com) just uploaded a new patch set to gerrit, which you can find at https://review.coreboot.org/16883
-gerrit
commit bc6bf22d5163e2e5bba74ff8d898702ded384274
Author: Martin Roth <martinroth(a)google.com>
Date: Tue Oct 4 16:45:17 2016 -0600
util/release/build-release: Update script
- Add more help text.
- Remove braces from variables where the variable is isolated.
- Remove --recurse-submodules from clone. This breaks on old coreboot
versions.
- Add some whitespace between blocks.
- Fix all shellcheck warnings.
- Verify tar version and fail if it doesn't support --sort.
Change-Id: I4a49df99532d9a92a4a05bceff16f96a4fc3e205
Signed-off-by: Martin Roth <martinroth(a)google.com>
---
util/release/build-release | 56 ++++++++++++++++++++++++++++++----------------
1 file changed, 37 insertions(+), 19 deletions(-)
diff --git a/util/release/build-release b/util/release/build-release
index 11e7177..20fbfb6 100755
--- a/util/release/build-release
+++ b/util/release/build-release
@@ -3,10 +3,10 @@
# ${GPG_KEY_ID}: gpg key id (if not don't sign)
# ${USERNAME}: username (if not default to https)
# ${COMMIT_ID}: commit id (if not master)
-VERSION_NAME=${1}
-COMMIT_ID=${2}
-USERNAME=${3}
-GPG_KEY_ID=${4}
+VERSION_NAME=$1
+COMMIT_ID=$2
+USERNAME=$3
+GPG_KEY_ID=$4
set -e
@@ -16,32 +16,50 @@ LANG=C
TZ=UTC
export LC_ALL LANG TZ
-if [ -z "${VERSION_NAME}" ] || [ "${VERSION_NAME}" = "--help" ]; then
+if [ -z "$VERSION_NAME" ] || [ "$VERSION_NAME" = "--help" ]; then
echo "usage: $0 <version> [commit id] [gpg key id] [username]"
- echo "tags a new coreboot version and creates a tar archive"
+ echo "Tags a new coreboot version and creates a tar archive"
+ echo
+ echo "version: New version name to tag the tree with"
+ echo "commit id: check out this commit-id after cloning the coreboot tree"
+ echo "gpg key id: used to tag the version, and generate a gpg signature"
+ echo "username: clone the tree using ssh://USERNAME - defaults to https://"
exit 1
fi
+
+# Verify that tar supports --sort
+if ! tar --sort=name -cf /dev/null /dev/null 2>/dev/null ; then
+ echo "Error: The installed version of tar does not support --sort"
+ echo " GNU tar version 1.28 or greater is required. Exiting."
+ exit 1
+fi
+
if [ -n "${USERNAME}" ]; then
- git clone --recurse-submodules ssh://${USERNAME}@review.coreboot.org:29418/coreboot.git coreboot-${VERSION_NAME}
+ git clone "ssh://${USERNAME}@review.coreboot.org:29418/coreboot.git" "coreboot-${VERSION_NAME}"
else
- git clone --recurse-submodules https://review.coreboot.org/coreboot.git coreboot-${VERSION_NAME}
+ git clone https://review.coreboot.org/coreboot.git "coreboot-${VERSION_NAME}"
fi
-cd coreboot-${VERSION_NAME}
-if [ -n "${COMMIT_ID}" ]; then
- git reset --hard ${COMMIT_ID}
+
+cd "coreboot-${VERSION_NAME}" || exit 1
+if [ -n "$COMMIT_ID" ]; then
+ git reset --hard "$COMMIT_ID"
fi
+
git submodule update --init --checkout
-if [ -n "${GPG_KEY_ID}" ]; then
- git tag -a -s -u ${GPG_KEY_ID} --force ${VERSION_NAME} -m "coreboot version ${VERSION_NAME}"
+if [ -n "$GPG_KEY_ID" ]; then
+ git tag -a -s -u "$GPG_KEY_ID" --force "$VERSION_NAME" -m "coreboot version $VERSION_NAME"
else
- git tag -a --force ${VERSION_NAME} -m "coreboot version ${VERSION_NAME}"
+ git tag -a --force "$VERSION_NAME" -m "coreboot version $VERSION_NAME"
fi
-printf "${VERSION_NAME}-$(git log --pretty=%H|head -1)\n" > .coreboot-version
+
+printf "%s-%s\n" "$VERSION_NAME" "$(git log --pretty=%H|head -1)" > .coreboot-version
tstamp=$(git log --pretty=format:%ci -1)
cd ..
-tar --sort=name --mtime="$tstamp" --owner=coreboot:1000 --group=coreboot:1000 --exclude-vcs --exclude=coreboot-${VERSION_NAME}/3rdparty/blobs -cvf - coreboot-${VERSION_NAME} |xz -9 > coreboot-${VERSION_NAME}.tar.xz
-tar --sort=name --mtime="$tstamp" --owner=coreboot:1000 --group=coreboot:1000 --exclude-vcs -cvf - coreboot-${VERSION_NAME}/3rdparty/blobs |xz -9 > coreboot-blobs-${VERSION_NAME}.tar.xz
+
+tar --sort=name --mtime="$tstamp" --owner=coreboot:1000 --group=coreboot:1000 --exclude-vcs --exclude="coreboot-${VERSION_NAME}/3rdparty/blobs" -cvf - "coreboot-${VERSION_NAME}" |xz -9 > "coreboot-${VERSION_NAME}.tar.xz"
+tar --sort=name --mtime="$tstamp" --owner=coreboot:1000 --group=coreboot:1000 --exclude-vcs -cvf - "coreboot-${VERSION_NAME}/3rdparty/blobs" |xz -9 > "coreboot-blobs-${VERSION_NAME}.tar.xz"
+
if [ -n "${GPG_KEY_ID}" ]; then
- gpg2 --armor --local-user ${GPG_KEY_ID} --output coreboot-${VERSION_NAME}.tar.xz.sig --detach-sig coreboot-${VERSION_NAME}.tar.xz
- gpg2 --armor --local-user ${GPG_KEY_ID} --output coreboot-blobs-${VERSION_NAME}.tar.xz.sig --detach-sig coreboot-blobs-${VERSION_NAME}.tar.xz
+ gpg2 --armor --local-user "$GPG_KEY_ID" --output "coreboot-${VERSION_NAME}.tar.xz.sig" --detach-sig "coreboot-${VERSION_NAME}.tar.xz"
+ gpg2 --armor --local-user "$GPG_KEY_ID" --output "coreboot-blobs-${VERSION_NAME}.tar.xz.sig" --detach-sig "coreboot-blobs-${VERSION_NAME}.tar.xz"
fi